Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  ATT Textstil ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ATT Textstil ändern (1153 mal gelesen)
Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

erstellt am: 26. Feb. 2010 10:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jörn

Ich habe den Lisp gefunden, wo man bei ATT den Textstil ändern kann.
Wenn ich aber die ATT synchronisiere wird wieder der alte Stil übernommen.
Ist das normal.
Danke

Hallo Attilo,
nur auf die schnelle und ungetestet, damit solltest Du global für die Attribute von auszuwählenden Blöcken einen anderen Textstil zuweisen können.

    [/list]
        Code:
        (defun c:att_ts ( / )
          (princ "\nBlöcke auswählen")
          (if (setq aws (ssget (list (cons 0 "INSERT"))))
            (progn
              (setq ts(getstring "\nneuer Textstil: "))
              (if (not (tblsearch "STYLE" ts))
        (progn
          (alert "falscher Textstil")
          (exit)))
              (setq n 0)
              (princ (strcat "\n("(itoa n)"/" (itoa (sslength aws))")"))
              (repeat (sslength aws)
        (setq ent (ssname aws n))
        (while (and(setq ent (entnext ent))(/=(cdr(assoc 0 (entget ent)))"SEQEND"))
          (if (=(cdr(assoc 0 (entget ent)))"ATTRIB")
            (entmod (subst (cons 7 ts)(assoc 7 (entget ent))(entget ent)))))
        (entupd (ssname aws n))
        (setq n (+ n 1))
        (princ (strcat "\r("(itoa n)"/" (itoa (sslength aws))")"))
        ))
            (alert "keine Auswahl")))
    [list]

------------------
viele Grüße

Jörn

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 26. Feb. 2010 10:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Antwortest du hier auf eine PM von Attilo ?

Zudem wäre die Antwort: Ja das ist normal wenn in deiner Blockdefinition ein anderer
Textstil für diese Attribute hinterlegt ist, das oben gepostete Lisp ändert nur ATTRIBute von BLOCKREFERENZEN
und nicht den Textstil von ATTributDEFinitionen von BLOCKen.

Attsync = ändere die Blockreferenzen(sammt Attribute) auf die aktuelle Blockdefinition.
(samt aller Eigenschaften, wie zB. auch "Position" etc.)

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 26. Feb. 2010 10:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Hallo Heinz,
ja, das ist normal. Du hast schließlich nur den Blöcken den neuen Textstil zugewiesen, nicht der Blockdefinition.

Wenn Du das Bespiel auf Blockdefinitionen ändern willst hier ein paar Stichpunkte:

(entget(tblobjname "BLOCK" "Blockname"))

dann mit ENTNEXT durchhangeln und bei den Objekten "ATTDEF" den Textstil ändern.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

erstellt am: 26. Feb. 2010 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo cadffm

Nein das lisp habe ich hier gefunden, und auch hier so reingestellt.

Danke mal für antwort.
Ok alles klar, wahr mir nicht sicher ob hier auch die Blockdefinition auch geändert wird.
Ich will all meine Blöcke auf den gleich Stand mit dem Textstil bringen.

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

Autocad 2019/64B
Win10
WORKSTATION Intel(R) CPU E5-1620 3.60GHz
16,0GB Ram
64 Bit-Betriebssystem
HP Designjet T7200
Grafik NVIDIA Quadro P1000
ZWCAD2018

erstellt am: 26. Feb. 2010 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@ Jörn
ok Versuch das mal
Danke

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz